Package org.eclipse.e4.core.di.annotations

# Annotation Interface Creatable

@Qualifier @Documented @Target(TYPE) @Retention(RUNTIME) public @interface Creatable
Specifies that the target class can be created by an injector as needed.

Since:
  1.3

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`

## Element Details

### value

String value

Default:
  ""